Centos install Mysql: conflicts with file from package mysql-libs

今天在用rpm包安装Mysql Server时,出现了一个错误:

file /usr/share/mysql/norwegian/errmsg.sys from install of MySQL-server-5.5.17-1.linux2.6.x86_64 conflicts with file from package mysql-libs-5.1.52-1.el6_0.1.x86_64

原来是与centos系统中已有的mysql版本发生了冲突,需要先卸载旧版本中所有的依赖包。

使用yum工具一键卸载:

yum -y remove mysql-libs-5.1.52*

然后再安装rpm安装包,安装成功。

Rpm server install

 

发表评论

电子邮件地址不会被公开。 必填项已用*标注

您可以使用这些HTML标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>